/*
 * Display.h
 *
 *  Created on: Aug 2, 2018
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#ifndef _SRC_OUTPUT_IDISPLAY_H_
#define _SRC_OUTPUT_IDISPLAY_H_

#include <vector>
#include <cstdint>
#include <output/items/Display.h>

#include <string>

namespace flippR_driver
{
namespace output
{
namespace items
{

class OutputDisplay : public virtual Display
{

public:
	virtual ~OutputDisplay() = default;

	virtual uint8_t get_address() const = 0;
	virtual std::string get_name() const = 0;
	virtual std::string get_content() const = 0;
};

}
} /* namespace output */
}
#endif
